Skip to main content
GET
/
api2
/
v1
/
users
/
{userUid}
/
projects
List assigned projects
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/users/{userUid}/projects \
  --header 'Authorization: <api-key>'
{
  "totalElements": 123,
  "totalPages": 123,
  "pageSize": 123,
  "pageNumber": 123,
  "numberOfElements": 123,
  "content": [
    {
      "uid": "<string>",
      "innerId": 123,
      "name": "<string>",
      "businessUnit": {
        "uid": "<string>",
        "name": "<string>"
      },
      "domain": {
        "uid": "<string>",
        "name": "<string>"
      },
      "subDomain": {
        "uid": "<string>",
        "name": "<string>"
      },
      "client": {
        "uid": "<string>",
        "name": "<string>",
        "note": "<string>"
      },
      "costCenter": {
        "uid": "<string>",
        "name": "<string>"
      },
      "dueDate": "2023-11-07T05:31:56Z",
      "createdDate": "2023-11-07T05:31:56Z",
      "createdBy": {
        "uid": "<string>",
        "username": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "organizationUid": "<string>"
      },
      "owner": {
        "uid": "<string>",
        "username": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "organizationUid": "<string>"
      },
      "vendor": {
        "uid": "<string>",
        "vendorUid": "<string>",
        "username": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "organization": {
          "uid": "<string>",
          "name": "<string>"
        }
      },
      "purchaseOrder": "<string>",
      "sourceLang": "<string>",
      "targetLangs": [
        "<string>"
      ],
      "status": "<string>",
      "progress": {
        "totalCount": 123,
        "finishedCount": 123,
        "overdueCount": 123,
        "finishedRatio": 123,
        "overdueRatio": 123
      },
      "metadata": [
        {
          "uid": "<string>",
          "fieldName": "<string>",
          "value": "<string>",
          "options": [
            {
              "uid": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "note": "<string>",
      "deleted": true,
      "archived": true
    }
  ],
  "sort": {
    "orders": [
      {
        "direction": "ASC",
        "property": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

userUid
string
required

Query Parameters

status
enum<string>[]

Status of the assigned jobs

Available options:
NEW,
ACCEPTED,
DECLINED,
DELIVERED,
EMAILED,
COMPLETED,
CANCELLED
targetLang
string[]

Target language of the assigned jobs

workflowStepId
integer<int64>
dueInHours
integer<int32>

Number of hours in which the assigned jobs are due. Use -1 for jobs that are overdue.

Required range: x >= -1
filename
string
projectName
string
pageNumber
integer<int32>
default:0
Required range: x >= 0
pageSize
integer<int32>
default:50
Required range: 1 <= x <= 50

Response

successful operation

totalElements
integer<int32>
totalPages
integer<int32>
pageSize
integer<int32>
pageNumber
integer<int32>
numberOfElements
integer<int32>
content
object[]
sort
object